# Ogre::SceneManager::SceneMgrQueuedRenderableVisitor Class Reference

Inner helper class to implement the visitor pattern for rendering objects in a queue. More...

`#include <OgreSceneManager.h>`

Inheritance diagram for Ogre::SceneManager::SceneMgrQueuedRenderableVisitor:

[legend]
List of all members.

## Public Member Functions

| SceneMgrQueuedRenderableVisitor ()
| ~SceneMgrQueuedRenderableVisitor ()
void | visit (Renderable *r)
| Visit method called once per Renderable on a grouped collection.
bool | visit (const Pass *p)
void | visit (RenderablePass *rp)
| Called when visiting a RenderablePass, i.e.

## Public Attributes

SceneManager * | targetSceneMgr
| Target SM to send renderables to.
bool | transparentShadowCastersMode
| Are we in transparent shadow caster mode?
bool | autoLights
| Automatic light handling?
const LightList * | manualLightList
| Manual light list.
bool | scissoring
| Scissoring if requested?

## Protected Attributes

const Pass * | mUsedPass
| Pass that was actually used at the grouping level.

## Detailed Description

Inner helper class to implement the visitor pattern for rendering objects in a queue.

Definition at line 328 of file OgreSceneManager.h.

## Constructor & Destructor Documentation

Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::SceneMgrQueuedRenderableVisitor | ( |  | ) |

| Definition at line 334 of file OgreSceneManager.h.

Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::~SceneMgrQueuedRenderableVisitor | ( |  | ) |

| Definition at line 336 of file OgreSceneManager.h.

## Member Function Documentation

void Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::visit | ( | RenderablePass * | rp | ) | `[virtual]`

Called when visiting a RenderablePass, i.e.

items in a sorted collection where items are not grouped by pass.

Remarks:
  If this is called, neither of the other 2 visit methods will be called.

Implements Ogre::QueuedRenderableVisitor.

bool Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::visit | ( | const Pass * | p | ) | `[virtual]`

| Implements Ogre::QueuedRenderableVisitor.

void Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::visit | ( | Renderable * | r | ) | `[virtual]`

Visit method called once per Renderable on a grouped collection.

Remarks:
  If this method is called, the RenderablePass visit method will not be called for this collection.

Implements Ogre::QueuedRenderableVisitor.

## Member Data Documentation

bool Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::autoLights

| Automatic light handling? Definition at line 346 of file OgreSceneManager.h.

const LightList* Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::manualLightList

| Manual light list. Definition at line 348 of file OgreSceneManager.h.

const Pass* Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::mUsedPass`[protected]`

| Pass that was actually used at the grouping level. Definition at line 332 of file OgreSceneManager.h.

bool Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::scissoring

| Scissoring if requested? Definition at line 350 of file OgreSceneManager.h.

SceneManager* Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::targetSceneMgr

| Target SM to send renderables to. Definition at line 342 of file OgreSceneManager.h.

bool Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::transparentShadowCastersMode

| Are we in transparent shadow caster mode? Definition at line 344 of file OgreSceneManager.h.

The documentation for this class was generated from the following file:

- OgreSceneManager.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:52:51 2009